Skip to main content
POST
Search Traces V3

Body

application/json

Request parameters for searching traces with v3 enhancements

locations
object[]

A list of MLflow trace locations to search over

Example:
filter
string

A filter expression over trace attributes and tags that allows returning a subset of traces. The syntax is a subset of SQL that supports ANDing together binary operations. Example: trace.status = 'OK' and trace.timestamp_ms > 1711089570679

Example:

"trace.status = 'OK' and trace.timestamp_ms > 1711089570679"

max_results

Maximum number of traces desired. Max threshold is 500.

order_by
string[]

List of columns for ordering the results, e.g. ["timestamp_ms DESC"]. Supported fields: timestamp_ms, execution_time_ms, status

Example:
page_token
string

Token indicating the page of traces to fetch

Example:

"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0="

Response

Search results containing matching traces.

traces
object[]
required

Information about traces that match the search criteria

next_page_token
string

Token for retrieving next page of results

Example:

"eyJvZmZzZXQiOjIwMCwibGltaXQiOjEwMH0="